keccak.h File Reference

Classes for Keccak message digests. More...

Go to the source code of this file.

## Classes

class | Keccak
| Keccak message digest base class. More...
class | Keccak_Final< T_DigestSize >
| Keccak message digest template. More...
class | Keccak_224
| Keccak-224 message digest. More...
class | Keccak_256
| Keccak-256 message digest. More...
class | Keccak_384
| Keccak-384 message digest. More...
class | Keccak_512
| Keccak-512 message digest. More...

## Detailed Description

Classes for Keccak message digests.

The Crypto++ Keccak implementation uses F1600 with XOF d=0x01. FIPS 202 conformance (XOF d=0x06) is available in SHA3 classes.

Keccak will likely change in the future to accommodate extensibility of the round function and the XOF functions.

See also
  Keccak

Since
  Crypto++ 5.6.4

Definition in file keccak.h.